wxWidgets: wxDDEClient Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxDDEClient Class Reference
Class List by Category » Interprocess Communication

`#include </home/Hamish/wxwidgets/wxWidgets3.0-3.0.5.1-1.src/wxWidgets3.0-3.0.5.1-1.i686/src/wxWidgets-3.0.5.1/interface/wx/dde.h>`

Inheritance diagram for wxDDEClient:
[legend]

## Detailed Description

A wxDDEClient object represents the client part of a client-server DDE (Dynamic Data Exchange) conversation.

To create a client which can communicate with a suitable server, you need to derive a class from wxDDEConnection and another from wxDDEClient. The custom wxDDEConnection class will intercept communications in a "conversation" with a server, and the custom wxDDEServer is required so that a user-overridden OnMakeConnection() member can return a wxDDEConnection of the required class, when a connection is made.

This DDE-based implementation is available on Windows only, but a platform-independent, socket-based version of this API is available using wxTCPClient.

##

Library: wxBase

<>< =''>:</>&;&;< =''>\ </></>

Availability: only available for the wxMSW port.

See also
  wxDDEServer, wxDDEConnection, Interprocess Communication

## Public Member Functions
| wxDDEClient ()
| Constructs a client object. More...
wxConnectionBase * | MakeConnection (const wxString &host, const wxString &service, const wxString &topic)
| Tries to make a connection with a server specified by the host (machine name under UNIX, ignored under Windows), service name (must contain an integer port number under UNIX), and topic string. More...
wxConnectionBase * | OnMakeConnection ()
| The type of wxDDEConnection returned from a MakeConnection() call can be altered by deriving the OnMakeConnection() member to return your own derived connection object. More...
bool | ValidHost (const wxString &host)
| Returns true if this is a valid host name, false otherwise. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxDDEClient()

wxDDEClient::wxDDEClient | ( |  | ) |

Constructs a client object.

## Member Function Documentation

## ◆ MakeConnection()

wxConnectionBase* wxDDEClient::MakeConnection | ( | const wxString & | host,
|  | const wxString & | service,
|  | const wxString & | topic
| ) |  |

Tries to make a connection with a server specified by the host (machine name under UNIX, ignored under Windows), service name (must contain an integer port number under UNIX), and topic string.

If the server allows a connection, a wxDDEConnection object will be returned.

The type of wxDDEConnection returned can be altered by overriding the OnMakeConnection() member to return your own derived connection object.

## ◆ OnMakeConnection()

wxConnectionBase* wxDDEClient::OnMakeConnection | ( |  | ) |

The type of wxDDEConnection returned from a MakeConnection() call can be altered by deriving the OnMakeConnection() member to return your own derived connection object.

By default, a wxDDEConnection object is returned.

The advantage of deriving your own connection class is that it will enable you to intercept messages initiated by the server, such as wxDDEConnection::OnAdvise(). You may also want to store application-specific data in instances of the new class.

## ◆ ValidHost()

bool wxDDEClient::ValidHost | ( | const wxString & | host | ) |

Returns true if this is a valid host name, false otherwise.

This always returns true under MS Windows.